#!/usr/bin/sh
# sequence generated on 2020-08-06 16:36:04 with: clufter 0.77.1
# invoked as: ['/usr/sbin/pcs', 'config', 'export', 'pcs-commands',
# 'output=_export_pcs-command.sh']
# targeting system: ('linux', 'centos', '7.8.2003', 'Core')
# using interpreter: CPython 2.7.5
pcs \
  cluster auth 192.168.2.101,192.168.3.101 192.168.2.102,192.168.3.102 <> \
  /dev/tty
pcs cluster setup --name pgtr \
  192.168.2.101,192.168.3.101 192.168.2.102,192.168.3.102 --transport udpu \
  --rrpmode passive
pcs cluster start --all --wait=60
pcs cluster cib tmp-cib.xml
cp tmp-cib.xml tmp-cib.xml.deltasrc
pcs -f tmp-cib.xml property set stonith-enabled=false
pcs -f tmp-cib.xml property set startup-fencing=false
pcs -f tmp-cib.xml property set pe-input-series-max=100
pcs -f tmp-cib.xml property set no-quorum-policy=ignore
pcs -f tmp-cib.xml property set pe-warn-series-max=100
pcs -f tmp-cib.xml property set pe-error-series-max=100
pcs -f tmp-cib.xml \
  resource defaults migration-threshold=2 resource-stickiness=100
pcs -f tmp-cib.xml resource create db.fs ocf:heartbeat:Filesystem \
  device=/dev/drbd0 directory=/data fstype=xfs \
  op monitor interval=5 timeout=40 notify interval=0s timeout=60s start \
  interval=0s timeout=60 stop interval=0s timeout=60
pcs -f tmp-cib.xml resource create db.vip ocf:heartbeat:IPaddr2 \
  cidr_netmask=24 ip=192.168.1.10 nic=eth1 \
  op monitor interval=5 timeout=30 start interval=0s timeout=20s stop \
  interval=0s timeout=20s
pcs -f tmp-cib.xml resource create db.pgsql ocf:heartbeat:pgsql \
  monitor_password=monitor monitor_user=monitor pgctl=/usr/pgsql-11/bin/pg_ctl \
  pgdata=/data/pgdata psql=/usr/pgsql-11/bin/psql \
  op demote interval=0s timeout=120s methods interval=0s timeout=5s monitor \
  interval=5 timeout=30 notify interval=0s timeout=90s promote interval=0s \
  timeout=120s start interval=0s timeout=120 stop interval=0s timeout=120
pcs -f tmp-cib.xml resource create ping_tr ocf:pacemaker:ping \
  attempts=5 host_list=192.168.1.1 multiplier=100 name=ping_tr \
  op monitor interval=10 timeout=60 start interval=0s timeout=60 stop \
  interval=0s timeout=20
pcs -f tmp-cib.xml resource create drbd ocf:linbit:drbd \
  drbd_resource=postgresql \
  op demote interval=0s timeout=90 monitor interval=20 role=Slave timeout=20 \
  monitor interval=10 role=Master timeout=20 notify interval=0s timeout=90 \
  promote interval=0s timeout=90 reload interval=0s timeout=30 start \
  interval=0s timeout=240 stop interval=0s timeout=100
pcs -f tmp-cib.xml resource group add group_db db.fs db.vip db.pgsql
pcs -f tmp-cib.xml resource clone ping_tr globally-unique=false
pcs -f tmp-cib.xml \
  resource master ms_drbd drbd master-node-max=1 clone-node-max=1 clone-max=2 \
  notify=true master-max=1
pcs -f tmp-cib.xml \
  constraint location group_db rule id=location-group_db-rule \
  constraint-id=location-group_db score=-INFINITY not_defined ping_tr or \
  ping_tr lte 0
pcs -f tmp-cib.xml constraint location group_db prefers first=0
pcs -f tmp-cib.xml constraint location group_db prefers second=0
pcs -f tmp-cib.xml \
  constraint colocation add group_db with master ms_drbd \
  id=colocation-group_db-ms_drbd-INFINITY
pcs -f tmp-cib.xml constraint order promote ms_drbd \
  then group_db id=order-ms_drbd-group_db-mandatory
pcs cluster cib-push tmp-cib.xml diff-against=tmp-cib.xml.deltasrc
