#!/bin/sh

export PGHOST="virtual"
export PGPORT="5432"
export PGUSER="postgres"

psql -c "DROP TABLE IF EXISTS t1" > /dev/null 
psql -c "CREATE TABLE t1 (id INT, date timestamp DEFAULT CURRENT_TIMESTAMP)" > /dev/null

echo ' id | interval '
echo '---------------'

psql -t -c "INSERT INTO t1 (id) VALUES (1) RETURNING id, ''" | sed -n '1p'
sleep 1

while true
do
  psql -t -c "INSERT INTO t1 SELECT max(id) + 1 FROM t1 RETURNING id, extract(epoch from age (date, (SELECT date FROM t1 ORDER BY id DESC LIMIT 1)));" | sed -n '1p'
  sleep 1
done
